### Property

# Ide EditorSearch:search-text

#### Declaration

    property search-text: utf8 [ read, write ]

#### Description

The “search-text” property contains the text to search within the buffer.

If the `IdeEditorSearch:regex-enabled` property is set to `TRUE`, then the user may use regular expressions supported by `GRegex` to scan the buffer. They may also specify capture groups to use in search and replace.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_editor_search_set_search_text()`
Getter method | `ide_editor_search_get_search_text()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no